Retrieve a Refunds

Retrieves the details of an existing refund.

Path Parameters
  • id
    Type: string
    max length:  
    200
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/refunds/{id}
curl 'https://api.paypercut.io/v1/refunds/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "amount": 100,
  "payment": "01K755J9SV2364REVHB915Z2FW",
  "payment_intent": "01K755J9SY55CS04SQ3JX1NX36",
  "reason": "duplicate",
  "id": "01K755J9SV2364REVHB915Z2FW",
  "currency": {
    "iso": "usd",
    "scale": 2
  },
  "destination_details": {
    "type": "string",
    "card": {
      "reference": "string",
      "reference_status": "string",
      "reference_type": "string",
      "type": "pending"
    }
  },
  "failure_reason": "string",
  "pending_reason": "charge_pending",
  "status": null,
  "created": "2026-04-03T12:46:07.666Z",
  "updated": "2026-04-03T12:46:07.666Z"
}